---
title: High-level guides
slug: Web/API/WebRTC_API/High-level_guide
tags:
  - API
  - Audio
  - Landing
  - Media
  - Video
  - WebAPI
  - WebRTC
---
<p><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC</a> (Web Real-Time Communications) is a broad, multi-component system for setting up and operating complex audio, video, and data channels across networks among two or more peers on the Web. The high-level guides listed below introduce WebRTC technology from a top-down perspective, describing the overall architecture, the life cycle of a WebRTC connection, and basic security and technological issues you might run into as you explore and build Web content or apps using the WebRTC API.</p>

<p>In addition, you'll find suggestions as to tools, libraries, and frameworks that might be helpful and compatibility information so you know which parts of the overall suite of WebRTC features can be safely used given your target audience.</p>

<p>{{LandingPageListSubpages}}</p>

<p>When you're ready to explore WebRTC in more depth, be sure to take a look at our <a href="/en-US/docs/Web/API/WebRTC_API/Low-level_guide">Low-level guide to WebRTC</a>.</p>
